const url = process.env.REACT_APP_API_CITIES_URL;

const SEARCH_MIN_LENGTH = 3;

export const getCities = async (search: string): Promise<any> => {
  if (search.length < SEARCH_MIN_LENGTH) return;
  const response = await fetch(url + 'cities/' + search, {
  });
  if (response.status === 200) {
    return await response.json();
  } else {
    const error = await response.text();
    throw error;
  }
}
