import { getItemList, getItem, addItem, updateItem, deleteItem } from "./common";

export const getInvoices = async (): Promise<any> => {
  return getItemList('invoices');
}

export const getInvoice = async (invoiceNumber: string): Promise<any> => {
  return getItem('invoices', invoiceNumber);
}

export const addInvoice = async (invoiceData: any): Promise<any> => {
  return addItem('invoices', invoiceData);
}

export const updateInvoice = async (invoiceData: any): Promise<any> => {
  return updateItem('invoices', invoiceData);
}

export const deleteInvoice = async (invoiceId: string): Promise<any> => {
  return deleteItem('invoices', invoiceId);
}

export const emitInvoice = async (invoiceId: string): Promise<any> => {
  return updateItem('invoices/emit', { _id: invoiceId });
}

export const cancelInvoice = async (invoiceId: string): Promise<any> => {
  return updateItem('invoices/cancel', { _id: invoiceId });
}

export const getEmittedInvoice = async (invoiceNumber: string): Promise<any> => {
  return getItemList('invoices/emitted/' + invoiceNumber);
}

