import React from 'react';
import { useSelector } from 'react-redux';
import { sortByNameAndCode } from '../../lib/cities';
import { AppState } from '../../redux/reducers';
import { CitiesState } from '../../redux/reducers/cities';
import CitieesListItem from './CitieesListItem';

const CitiesList = () => {
  const { cities }: CitiesState = useSelector<AppState, any>(state => state.cities);

  return (
    <div>
      <table>
        <thead>
          <tr>
            <th>Nom</th>
            <th>Codi postal</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          {sortByNameAndCode(cities).map(city =>
            <CitieesListItem key={city._id} city={city} />
          )}
        </tbody>
      </table>
    </div>
  )
}

export default CitiesList
