import { Button, Fab, Grid, Hidden } from '@material-ui/core';
import { makeStyles } from '@material-ui/core/styles';
import AddIcon from '@material-ui/icons/Add';
import React from 'react';

type Props = {
  addClient: () => void;
}

const useStyles = makeStyles((theme) => ({
  fab: {
    position: 'absolute',
    bottom: theme.spacing(2),
    right: theme.spacing(2),
  },
}));

const AddClientButton = ({ addClient }: Props) => {
  const classes = useStyles();

  return (
    <>
      <Hidden xsDown>
        <Grid item xs={12}>
          <Button
            variant="contained"
            color="primary"
            size="small"
            startIcon={<AddIcon />}
            onClick={addClient}
          >
            Afegir client
              </Button>
        </Grid>
      </Hidden>

      <Hidden smUp>
        <Fab
          color="primary"
          aria-label="add"
          className={classes.fab}
          onTouchEnd={addClient}
        >
          <AddIcon />
        </Fab>
      </Hidden>
    </>
  )
}
export default AddClientButton;