import { Hidden, Paper, Table, TableBody, TableCell, TableContainer, TableHead, TableRow } from '@material-ui/core';
import EditIcon from '@material-ui/icons/Edit';
import React from 'react';
import { useHistory } from 'react-router-dom';
import ClientsListItem from './ClientsListItem';

type Props = {
  clients: any[];
}

const ClientsList = ({ clients }: Props) => {
  const history = useHistory();

  const editClient = (client: any) => {
    history.push('/clients/' + client.nif);
  }

  return (
    <TableContainer component={Paper}>
      <Table>
        <Hidden xsDown>
          <TableHead>
            <TableRow>
              <TableCell>Nom comercial / Nom</TableCell>
              <TableCell>Municipi</TableCell>
              <TableCell>Correu electrònic</TableCell>
              <TableCell>Telèfon</TableCell>
              <TableCell><EditIcon fontSize="small" /></TableCell>
            </TableRow>
          </TableHead>
        </Hidden>
        <TableBody>
          {clients.map(client =>
            <ClientsListItem
              key={client._id}
              client={client}
              editClient={editClient}
            />
          )}
        </TableBody>
      </Table>
    </TableContainer>
  )
}

export default ClientsList
