import { Button, Hidden, TableCell, TableRow } from '@material-ui/core';
import EditIcon from '@material-ui/icons/Edit';
import React from 'react';

type Props = {
  client: any;
  editClient: (client: any) => void;
}

const ClientsListItem = ({ client, editClient }: Props) => {

  const handleTouchClient = () => {
    editClient(client);
  }

  return (
    <TableRow>
      <TableCell onTouchEnd={handleTouchClient}>
        {client.commercialName ? client.commercialName : [client.surnames, client.name].join(', ')}
      </TableCell>
      <TableCell onTouchEnd={handleTouchClient}>
        {client.city}
      </TableCell>
      <Hidden xsDown>
        <TableCell>{client.email}</TableCell>
        <TableCell>{client.phone}</TableCell>
        <TableCell size="small">
          <Button
            color="primary"
            size="small"
            startIcon={<EditIcon />}
            onClick={() => editClient(client)}
          >
            Edita
        </Button>
        </TableCell>
      </Hidden>
    </TableRow>
  )
}

export default ClientsListItem
