import React from 'react';
import CustomActionDialog from '../common/CustomActionDialog';

type Props = {
  open: boolean;
  setOpen: Function;
  deleteClient: () => void;
}

const DialogDeleteClient = ({ open, setOpen, deleteClient }: Props) => {

  return (
    <CustomActionDialog
      title="Eliminar client"
      lines={[
        "Segur que vols eliminar aquest client?",
        "Aquesta acció no es pot desfer"
      ]}
      okLabel="Elimina"
      okColor="secondary"
      onOk={deleteClient}
      open={open}
      setOpen={setOpen}
    />
  )
}

export default DialogDeleteClient;