import React from 'react';
import CustomActionDialog from '../common/CustomActionDialog';

type Props = {
  open: boolean;
  setOpen: Function;
  cancelInvoice: () => void;
}

const DialogCancelInvoice = ({ open, setOpen, cancelInvoice }: Props) => {

  return (
    <CustomActionDialog
      title="Anul·lar factura"
      lines={[
        "Segur que vols anul·lar aquesta factura?",
        "Aquesta acció no es pot desfer"
      ]}
      okLabel="Anul·la"
      okColor="secondary"
      onOk={cancelInvoice}
      open={open}
      setOpen={setOpen}
    />
  )
}

export default DialogCancelInvoice;