import React from 'react';
import CustomActionDialog from '../common/CustomActionDialog';

type Props = {
  open: boolean;
  setOpen: Function;
  deleteInvoice: () => void;
}

const DialogDeleteInvoice = ({ open, setOpen, deleteInvoice }: Props) => {

  return (
    <CustomActionDialog
      title="Eliminar factura"
      lines={[
        "Segur que vols eliminar aquesta factura?",
        "Aquesta acció no es pot desfer"
      ]}
      okLabel="Elimina"
      okColor="secondary"
      onOk={deleteInvoice}
      open={open}
      setOpen={setOpen}
    />
  )
}

export default DialogDeleteInvoice;