import React from 'react';
import CustomActionDialog from '../common/CustomActionDialog';

type Props = {
  open: boolean;
  setOpen: Function;
  emitInvoice: () => void;
}

const DialogEmitInvoice = ({ open, setOpen, emitInvoice }: Props) => {

  return (
    <CustomActionDialog
      title="Emetre factura"
      lines={[
        "Segur que vols emetre aquesta factura?",
        "Aquesta acció no es pot desfer"
      ]}
      okLabel="Emet"
      okColor="secondary"
      onOk={emitInvoice}
      open={open}
      setOpen={setOpen}
    />
  )
}

export default DialogEmitInvoice;