import { Table, TableBody, TableCell, TableContainer, TableRow } from '@material-ui/core';
import { makeStyles } from '@material-ui/core/styles';
import React from 'react';
import { useSelector } from 'react-redux';
import { getRetention, getSubtotal, getTotal, getVat } from '../../lib/invoices';
import { AppState } from '../../redux/reducers';
import { InvoicesState } from '../../redux/reducers/invoices';

const useStyles = makeStyles((theme) => ({
  table: {
    maxWidth: 270,
  },
  key: {
    fontSize: "0.875rem",
    fontWeight: 500
  },
  value: {
    textAlign: "right",
    fontSize: "0.875rem",
  },
}));

const InvoiceSummary = () => {
  const classes = useStyles();
  const { invoice }: InvoicesState = useSelector<AppState, any>(state => state.invoices);

  return (
    <TableContainer className={classes.table}>
      <Table size="small" >
        <TableBody>
          <TableRow>
            <TableCell className={classes.key}>Subtotal</TableCell>
            <TableCell align="right">{getSubtotal(invoice).toFixed(2)}€</TableCell>
          </TableRow>
          <TableRow>
            <TableCell className={classes.key}>IVA</TableCell>
            <TableCell align="right">{getVat(invoice).toFixed(2)}€</TableCell>
          </TableRow>
          <TableRow>
            <TableCell className={classes.key}>Retenció</TableCell>
            <TableCell align="right">{getRetention(invoice).toFixed(2)}€</TableCell>
          </TableRow>
          <TableRow>
            <TableCell className={classes.key}>TOTAL</TableCell>
            <TableCell align="right">{getTotal(invoice).toFixed(2)}€</TableCell>
          </TableRow>
        </TableBody>
      </Table>
    </TableContainer>
  )
}

export default InvoiceSummary
