import React from 'react';
import CustomActionDialog from '../common/CustomActionDialog';

type Props = {
  open: boolean;
  setOpen: Function;
  deleteLine: () => void;
}

const DialogDeleteLine = ({ open, setOpen, deleteLine }: Props) => {

  return (
    <CustomActionDialog
      title="Eliminar línia de factura"
      lines={[
        "Segur que vols eliminar aquesta línia de factura?",
        "Aquesta acció no es pot desfer"
      ]}
      okLabel="Elimina"
      okColor="secondary"
      onOk={deleteLine}
      open={open}
      setOpen={setOpen}
    />
  )
}

export default DialogDeleteLine;