import { Button, TableCell, TableRow } from '@material-ui/core';
import EditIcon from '@material-ui/icons/Edit';
import React from 'react';
import { useHistory } from 'react-router-dom';

type Props = {
  invoice: any;
  line: any;
}

const LinesListItem = ({ invoice, line }: Props) => {
  const history = useHistory();

  return (
    <TableRow>
      <TableCell>{line.concept}</TableCell>
      <TableCell>{(line.quantity * line.amount).toFixed(2)}€</TableCell>
      <TableCell>{line.vat}%</TableCell>
      {!invoice.emitted && !invoice.cancelled &&
        <TableCell>
          <Button
            color="primary"
            size="small"
            startIcon={<EditIcon />}
            onClick={e => history.push('/lines/' + line._id)}
          >
            Edita
          </Button>
        </TableCell>
      }
    </TableRow>
  )
}

export default LinesListItem
