import { Dialog, DialogTitle, DialogContent, DialogContentText, DialogActions, Button, Typography } from '@material-ui/core';
import React from 'react';

type Props = {
  open: boolean;
  setOpen: Function;
}

const DialogRecoveryEmail = ({ open, setOpen }: Props) => {

  const handleClose = () => {
    setOpen(false);
  };

  return (
    <Dialog
      open={open}
      onClose={handleClose}
      aria-labelledby="recovery-dialog-title"
      aria-describedby="recovery-dialog-description"
    >
    <DialogTitle id="recovery-dialog-title">
      Restabliment de contrasenya
    </DialogTitle>
      <DialogContent>
        <DialogContentText id="recovery-dialog-description">
          <Typography gutterBottom>
            Us hem enviat un enllaç per restablir la contrasenya.
        </Typography>
          <Typography gutterBottom>
            Comproveu el vostre correu electrònic.
        </Typography>
        </DialogContentText>
      </DialogContent>
      <DialogActions>
        <Button autoFocus onClick={handleClose} color="primary">
          D'acord
      </Button>
      </DialogActions>
    </Dialog>
  )
}

export default DialogRecoveryEmail;