import React, { useEffect, useState } from 'react';
import { useSelector } from 'react-redux';
import { AppState } from '../../redux/reducers';
import { AuthState } from '../../redux/reducers/auth';

type Props = {
  emittedInvoice?: any;
}

const Footer = ({ emittedInvoice }: Props) => {
  const { user }: AuthState = useSelector<AppState, any>(state => state.auth);
  const [data, setData] = useState<any>({});
  const [date, setDate] = useState<Date>(new Date());

  const options = { year: 'numeric', month: 'long', day: 'numeric' };

  useEffect(() => {
    if (emittedInvoice) {
      setData(emittedInvoice.user);
      setDate(new Date(emittedInvoice.emittedDate));
    } else {
      setData(user);
    }
  }, [user, emittedInvoice]);

  return (
    <>
      {data &&
        <>
          {
            data.account && data.account.length &&
            <div>Compte a ingressar: {data.account}</div>
          }
          <div>
            {data.city}, {date.toLocaleDateString('ca-CA', options)}
          </div>
        </>
      }
    </>
  )
}

export default Footer
