import React, { useEffect, useState } from 'react';
import { useSelector } from 'react-redux';
import { AppState } from '../../redux/reducers';
import { AuthState } from '../../redux/reducers/auth';

type Props = {
  emittedInvoice?: any;
}

const Header = ({ emittedInvoice }: Props) => {
  const { user }: AuthState = useSelector<AppState, any>(state => state.auth);
  const [data, setData] = useState<any>({});

  useEffect(() => {
    setData(emittedInvoice ? emittedInvoice.user : user);
  }, [user, emittedInvoice]);

  return (
    <>
      {data &&
        <>
          <div>
            <img src={data.logo} alt="logo" className="print-logo" />
          </div>
          <div className="print-provider">
            <div>{[data.name, data.surnames].join(" ")}</div>
            <div>{data.commercialName}</div>
            <div>{data.address}</div>
            <div>{data.postalcode} {data.city}</div>
            <div>{data.nif}</div>
          </div>
        </>
      }
    </>
  )
}

export default Header
