import { Table, TableBody, TableCell, TableContainer, TableRow } from '@material-ui/core';
import { makeStyles } from '@material-ui/core/styles';
import React from 'react'
import { getRetention, getSubtotal, getTotal, getVat } from '../../lib/invoices'

type Props = {
  invoice: any;
}

const useStyles = makeStyles((theme) => ({
  table: {
    maxWidth: 270,
  },
  key: {
    fontSize: "0.875rem",
    fontWeight: 500
  },
}));

const InvoiceTotals = ({ invoice }: Props) => {
  const classes = useStyles();

  return (
    <div>
      <TableContainer className={classes.table}>
        <Table size="small" >
          <TableBody>
            <TableRow>
              <TableCell className={classes.key}>Subtotal</TableCell>
              <TableCell align="right">{getSubtotal(invoice).toFixed(2)}€</TableCell>
            </TableRow>
            <TableRow>
              <TableCell className={classes.key}>IVA</TableCell>
              <TableCell align="right">{getVat(invoice).toFixed(2)}€</TableCell>
            </TableRow>
            <TableRow>
              <TableCell className={classes.key}>Retenció ({invoice.ret} %):</TableCell>
              <TableCell align="right">{getRetention(invoice).toFixed(2)}€</TableCell>
            </TableRow>
            <TableRow>
              <TableCell className={classes.key}>TOTAL</TableCell>
              <TableCell align="right">{getTotal(invoice).toFixed(2)}€</TableCell>
            </TableRow>
          </TableBody>
        </Table>
      </TableContainer>
    </div>
  )
}

export default InvoiceTotals
