import React from 'react'

type Props = {
  lines: any[];
}

const LinesList = ({ lines }: Props) => {
  return (
    <>
      {lines.map((line, index) =>
        <tr key={index}>
          <td>{line.concept}</td>
          <td style={{ textAlign: 'right' }}>{line.quantity}</td>
          <td className="print-currency">{line.amount.toFixed(2)}</td>
          <td className="print-percentage">{line.vat.toFixed(2)}</td>
          <td className="print-currency">{(line.quantity * line.amount).toFixed(2)}</td>
        </tr>
      )}
    </>
  )
}

export default LinesList
