import React from 'react'
import InvoiceDetails from './InvoiceDetails'
import InvoiceTotals from './InvoiceTotals'
import LinesList from './LinesList'

type Props = {
  invoice: any;
  lines: any[];
  client: any;
}

const Main = ({ invoice, lines, client }: Props) => {
  return (
    <div>
      <div className="print-details">
        <InvoiceDetails invoice={invoice} client={client} />
      </div>
      <table className="print-table">
        <thead>
          <tr>
            <th>Concepte</th>
            <th>Quantitat</th>
            <th>Import</th>
            <th>IVA</th>
            <th>Total</th>
          </tr>
        </thead>
        <tbody>
          <LinesList lines={lines} />
        </tbody>
      </table>
      <div className="print-summary">
        <InvoiceTotals invoice={invoice} />
      </div>
    </div>
  )
}

export default Main
