import { Button, Popper } from '@material-ui/core';
import { makeStyles } from '@material-ui/core/styles';
import React, { MouseEvent, useState } from 'react';
import CityFinder from './CityFinder';
import { LocationOn } from '@material-ui/icons';

type Props = {
  setData: Function;
}

const useStyles = makeStyles((theme) => ({
  button: {

  },
  popper: {
    width: '20rem',
    backgroundColor: 'white',
    zIndex: 1,
  }
}));

const CitySelector = ({ setData }: Props) => {
  const classes = useStyles();
  const [anchorEl, setAnchorEl] = useState<null | HTMLElement>(null);

  const handleOpenPopper = (event: MouseEvent<HTMLElement>) => {
    setAnchorEl(anchorEl ? null : event.currentTarget);
  };

  const handleSelectCity = (option: any) => {
    setAnchorEl(null);
    setData(option);
  }

  const open = Boolean(anchorEl);
  const id = open ? 'simple-popper' : undefined;

  return (
    <>
      <Button
        aria-describedby={id}
        type="button"
        className={classes.button}
        title="Llista de municipis"
        onClick={handleOpenPopper}
      >
        <LocationOn />
      </Button>
      <Popper
        id={id}
        open={open}
        anchorEl={anchorEl}
        placement="bottom-start"
        className={classes.popper}
      >
        <CityFinder setData={handleSelectCity} />
      </Popper>
    </>
  )
}

export default CitySelector
