import { Button, Dialog, DialogActions, DialogContent, DialogContentText, Typography } from '@material-ui/core';
import React from 'react';

type Props = {
  message: string;
  open: boolean;
  setOpen: Function;
  onClose: () => void;
}

const CustomInfoDialog = ({ message, open, setOpen, onClose }: Props) => {

  const handleClose = () => {
    setOpen(false);
    onClose();
  };

  return (
    <Dialog
      open={open}
      onClose={handleClose}
      aria-labelledby="delete-dialog-title"
      aria-describedby="delete-dialog-description"
    >
      <DialogContent>
        <DialogContentText id="delete-dialog-description">
          <Typography>
            {message}
          </Typography>
        </DialogContentText>
      </DialogContent>
      <DialogActions>
        <Button onClick={handleClose} color="primary">
          D'acord
        </Button>
      </DialogActions>
    </Dialog>
  )
}

export default CustomInfoDialog
