import { Snackbar } from '@material-ui/core';
import { Alert } from '@material-ui/lab';
import React from 'react';
import { useDispatch, useSelector } from 'react-redux';
import actions from '../../redux/actions';
import { AppState } from '../../redux/reducers';
import { UiState } from '../../redux/reducers/ui';

const CustomSnackbar = () => {
  const dispatch = useDispatch();
  const { snackbar, openSnackbar }: UiState = useSelector<AppState, any>(state => state.ui);

  const handleClose = () => {
    dispatch(actions.closeSnackbar());
  }

  return (
    <div>
      <Snackbar open={openSnackbar} autoHideDuration={3000} onClose={handleClose}>
        <Alert onClose={handleClose} severity={snackbar.severity}>
          {snackbar.info}
        </Alert>
      </Snackbar>
    </div>
  )
}

export default CustomSnackbar
