let errorMessages: any[] = [];

import('../languages/errors/' + process.env.REACT_APP_LANGUAGE + '.json')
  .then(result => errorMessages = result.default);

export const getError = (errors: any[], code: number): string | undefined => {
  if (hasError(errors, code)) {
    return errorMessages
      .find(error => error.code === code)?.message;
  }
}

export const hasError = (errors: any[], code: number): boolean => {
  return errors
    .map(error => error.code)
    .includes(code);
}