export const encodeImageFileAsURL = (e: any, callback: Function) => {
  const maxSize = 300;
  const reader = new FileReader();
  reader.onload = event => {
    const img = new Image();
    img.onload = () => {
      const elem = document.createElement('canvas');
      elem.width = img.width > img.height ? maxSize : maxSize * img.width / img.height;
      elem.height = elem.width * img.height / img.width;
      const ctx = elem.getContext('2d');
      if (ctx) {
        ctx.drawImage(img, 0, 0, elem.width, elem.height);
        callback(ctx.canvas.toDataURL('image/jpeg', 0.8));
      }
    };
    img.src = event.target?.result?.toString() || "";
  };
  reader.onerror = error => console.log(error);
  reader.readAsDataURL(e.target.files[0]);
}
