import { getRetention, getSubtotal, getTotal, getVat, sortByNumber } from "./invoices";

describe('Invoices', () => {
  const invoices: any[] = [
    {
      number: '20200101',
      amount: 100,
      vat: 21,
      ret: 15,
    },
    { number: '20200102' },
  ];
  describe('Sorting', () => {
    it('sorts invoices by number desc', () => {
      expect(
        sortByNumber(invoices)
          .map(invoice => invoice.number))
        .toEqual(
          ['20200102', '20200101'],
        )
    });
    it('sorts invoices by number asc', () => {
      expect(
        sortByNumber(invoices, 'ASC')
          .map(invoice => invoice.number))
        .toEqual(
          ['20200101', '20200102'],
        )
    });
  })
  describe('Get invoice values', () => {
    it('Returns invoice amount', () => {
      expect(
        invoices
          .map(invoice => getSubtotal(invoice)))
        .toEqual(
          [100, 0]
        )
    })
    it('Returns invoice VAT', () => {
      expect(
        invoices
          .map(invoice => getVat(invoice)))
        .toEqual(
          [21, 0]
        )
    })
    it('Returns invoice retention', () => {
      expect(
        invoices
          .map(invoice => getRetention(invoice)))
        .toEqual(
          [15, 0]
        )
    })
    it('Returns invoice total', () => {
      expect(
        invoices
          .map(invoice => getTotal(invoice)))
        .toEqual(
          [106, 0]
        )
    })
  })
});