export const isInvoiceNumber = (input: string) => {
  const year = input.substr(0, 4);
  const month = input.substr(4, 2);
  const date = new Date([year, month, '01'].join('-'));
  return input.length === 8
    && !isNaN(date.getTime());
}

export const sortByNumber = (invoices: any[], order = 'DESC') => {
  function sortAscending(a: any, b: any) {
    return Number(a.number) - Number(b.number)
  }
  return order === 'ASC' ? invoices.sort(sortAscending) : invoices.sort(sortAscending).reverse();
}

export const getSubtotal = (invoice: any): number => {
  return invoice && invoice.amount ? invoice.amount : 0;
}

export const getVat = (invoice: any): number => {
  return invoice && invoice.vat ? invoice.vat : 0;
}

export const getRetention = (invoice: any): number => {
  return invoice && invoice.ret && invoice.amount ? invoice.amount * invoice.ret / 100 : 0;
}

export const getTotal = (invoice: any): number => {
  const { amount, vat, ret } = invoice;
  return amount && vat && ret ? amount + vat - amount * ret / 100 : 0;
}

