import { Button, Grid, Typography } from '@material-ui/core';
import { makeStyles } from '@material-ui/core/styles';
import React, { useEffect } from 'react';
import { useDispatch } from 'react-redux';
import { useHistory } from 'react-router-dom';
import actions from '../redux/actions';

const useStyles = makeStyles({
  background: {
    width: "100vw",
    height: "100vh",
    background: 'center / cover no-repeat url("./background-transparent.jpg")',
  },
  content: {
    height: '100%',
    display: 'flex',
    flexDirection: 'column',
    justifyContent: "center",
    alignItems: 'center',
  },
  buttons: {
    marginTop: 50,
  },
  button: {
    width: 200,
  }
})

const Home = () => {
  const history = useHistory();
  const dispatch = useDispatch();
  const classes = useStyles();

  // set header and page title
  useEffect(() => {
    dispatch(actions.setTitle('Inici'));
  }, [dispatch]);

  return (
    <Grid container
      direction="column"
      justify="center"
      alignItems="center"
      className={classes.background}
      spacing={3}
    >
      <Grid item>
        <Typography variant="h1" component="h1">
          Easybill
      </Typography>
      </Grid>
      <Grid item>
        <Typography variant="h5" component="h2" gutterBottom>
          Programa simple de facturació
      </Typography>
      </Grid>
      <Grid item>
        <Grid container
          direction="column"
          alignItems="center"
          spacing={2}
          className={classes.buttons}
        >
          <Grid item>
            <Button
              onClick={() => history.push('/login')}
              fullWidth
              variant="contained"
              color="primary"
              className={classes.button}
            >Entrar
            </Button>
          </Grid>
          <Grid item>
            <Button
              onClick={() => history.push('/register')}
              fullWidth
              variant="contained"
              className={classes.button}
            >Registrar-se
            </Button>
          </Grid>
        </Grid>
      </Grid>
    </Grid>
  )
}

export default Home;