import { CLOSE_SNACKBAR, SET_CANCELLING, SET_DELETING, SET_EMITTING, SET_LOADING, SET_LOADING_LINES, SET_SAVING, SET_SNACKBAR, SET_TITLE } from "../actionTypes";

const setTitle = (title: string) => ({
  type: SET_TITLE,
  payload: title
});

const setLoading = (loading: boolean) => ({
  type: SET_LOADING,
  payload: loading
});

const setLoadingLines = (loading: boolean) => ({
  type: SET_LOADING_LINES,
  payload: loading
});

const setSaving = (saving: boolean) => ({
  type: SET_SAVING,
  payload: saving
});

const setEmitting = (emitting: boolean) => ({
  type: SET_EMITTING,
  payload: emitting
});

const setCancelling = (cancelling: boolean) => ({
  type: SET_CANCELLING,
  payload: cancelling
});

const setDeleting = (deleting: boolean) => ({
  type: SET_DELETING,
  payload: deleting
});

const setSnackbar = (info: string, severity = "success") => ({
  type: SET_SNACKBAR,
  payload: { info, severity }
});

const closeSnackbar = () => ({
  type: CLOSE_SNACKBAR,
});

export { setTitle, setLoading, setLoadingLines, setSaving, setEmitting, setCancelling, setDeleting, setSnackbar, closeSnackbar };
