import { LOGIN, LOGOUT, SET_CURRENT_USER } from "../actionTypes";

export type AuthState = {
  isAuthenticated: boolean;
  token: string | undefined;
  user: any | undefined;
}

export const initialAuth: AuthState = {
  isAuthenticated: false,
  token: undefined,
  user: undefined
}

export const auth = (state = initialAuth, action: any): AuthState => {
  switch (action.type) {
    case LOGIN:
      return {
        ...state,
        isAuthenticated: true,
        token: action.payload
      };
    case LOGOUT:
      localStorage.removeItem('jwtToken');
      return initialAuth;
    case SET_CURRENT_USER:
      return {
        ...state,
        user: action.payload
      };
    default:
      return state;
  }
}