import { combineReducers } from 'redux';
import { auth, AuthState, initialAuth } from './auth';
import { cities, CitiesState, initialCities } from './cities';
import { clients, ClientsState, initialClients } from './clients';
import { errors, ErrorsState, initialErrors } from './errors';
import { initialInvoices, invoices, InvoicesState } from './invoices';
import { initialLines, lines, LinesState } from './lines';
import { initialUi, ui, UiState } from './ui';

export type AppState = {
  auth: AuthState;
  errors: ErrorsState;
  ui: UiState;
  invoices: InvoicesState;
  lines: LinesState;
  clients: ClientsState;
  cities: CitiesState;
}

export const initialApp: AppState = {
  auth: initialAuth,
  errors: initialErrors,
  ui: initialUi,
  invoices: initialInvoices,
  lines: initialLines,
  clients: initialClients,
  cities: initialCities,
}

export default combineReducers({
  auth,
  errors,
  ui,
  invoices,
  lines,
  clients,
  cities,
});
