import { DELETE_LINE, SET_CURRENT_LINE, SET_LINES } from "../actionTypes";

export type LinesState = {
  lines: any[];
  line: any;
}

export const initialLines: LinesState = {
  lines: [],
  line: {}
}

export const lines = (state = initialLines, action: any): LinesState => {
  switch (action.type) {
    case SET_LINES:
      return {
        ...state,
        lines: action.payload
      };
    case SET_CURRENT_LINE:
      return {
        ...state,
        line: action.payload
      };
    case DELETE_LINE:
      return {
        ...state,
        lines: state.lines.filter(line => line._id !== action.payload)
      };
    default:
      return state;
  }
}